Bot to call global metrics to event page {kudu}
Open, Needs TriagePublic

Description

"we want to make a [template/bot/black box] that will parse an event page, send the dates and usernames to the api, return the global metrics and write them to the event page in a little six cell table.

this can be done
it would make sense to use GrantsBot"

example here: https://en.wikipedia.org/wiki/User:Abittaker_(WMF)/sandbox#Results

Abit created this task.Dec 4 2015, 1:18 AM
Abit updated the task description. (Show Details)
Abit raised the priority of this task from to Needs Triage.
Abit assigned this task to Capt_Swing.
Abit moved this task to Backlog on the Design-Research board.
Abit added subscribers: Abit, Milimetric.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 4 2015, 1:18 AM
Capt_Swing set Security to None.
Capt_Swing moved this task from Backlog to Staged on the Design-Research-Backlog board.

@Abit could you describe briefly why this functionality is necessary? Who will be using it, what they do now, how this solution serves their needs better than Wikimetrics currently does, what alternatives they have, etc. Thanks!

Nuria added a subscriber: Nuria.Dec 7 2015, 4:54 PM
Abit added a comment.Dec 7 2015, 8:39 PM

The business case is here: https://docs.google.com/presentation/d/1A-0rBox8tl8pL-oqab-E1Mxa2xJztHOxUWu1sFUmxPY/edit#slide=id.g2e10e3781_1159 The bot should satisfy use case 2.

A program leader wants to calculate the global metrics of an event they hosted. Currently, they have to use a combination of Wikimetrics, GLAMorous, and manual counting to do this. https://docs.google.com/spreadsheets/d/1Qib7Nm0eyE9oMrst4cR5lHLvEg5C2P5TnpYnZhOWt4w/edit#gid=0

A thing that puts the global metrics on a program leader's event page integrates the metrics collecting with existing workflows. The alternative is that the process isn't integrated, and program leaders continue to go to Wikimetrics, GLAMorous, or to count manually.

Nuria added a comment.EditedDec 7 2015, 8:55 PM

@Abit:
There are several tasks on that page. One of them is clear and that is that wikimetrics should make easier for users to calculate metrics that now need repetitive work, that is a completely different task from having those results publish in a wiki page though.

@Milimetric and @Capt_Swing likely know more about this use case but on my opinion we do not want to create another layer to "hide' the fact that wikimetrics is the tool used to calculate metrics, on my opinion adds uneeded maintenance complexity, more so when wikimetrics is already a UI-based tool.

Abit added a comment.EditedDec 7 2015, 11:44 PM

@Nuria, which page are you referring to when you say "that page"? The goal isn't to "hide" Wikimetrics, it's to integrate global metrics collection into program leaders' existing workflows. I understand you are worried about maintenance, but there's no way your team or mine could support an ever-expanding army of bots across every possible wiki. So, as with other tools L&E has released, we're going offer it with clear documentation and let potential users know that they can put it on their wiki and use it if they like, but that they are responsible for maintaining it. That way, one volunteer bot sponsor could support an entire language community in collecting these numbers.

Harej awarded a token.Dec 8 2015, 12:00 AM
Harej added a subscriber: Harej.
Capt_Swing added a comment.EditedDec 11 2015, 6:53 PM

Talked with @Abit about this. Looks like it's a bigger, hairier development project than I expected; it's outside of my abilities. I'm posting this task as 'up for grabs', but hope to continue to support CE any way I can (probably in an advisory capacity).

Capt_Swing closed this task as Declined.Dec 11 2015, 6:53 PM
Capt_Swing reopened this task as Open.
Capt_Swing removed Capt_Swing as the assignee of this task.
Capt_Swing removed a project: Design-Research.
Capt_Swing added a subscriber: Capt_Swing.
Milimetric moved this task from Backlog to Radar on the Analytics-Backlog board.
Milimetric moved this task from Incoming to Radar on the Analytics board.Jan 12 2016, 7:31 PM